Bug 113130 - not possible to draw if some other drawing is selected on slide
Summary: not possible to draw if some other drawing is selected on slide
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2017-10-15 07:56 UTC by Ljiljan
Modified: 2019-04-01 08:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ljiljan 2017-10-15 07:56:00 UTC
When you select tool from drawing toolbars, while another object on a slide is selected, drawing over a selected object is not possible. 

Steps to reproduce:

1. Draw a rectangle
2. Selected this rectangle
3. Select line tool from drawing toolbar
4. Try to draw line connecting edges of rectangle 

Current behavior:

Impress offers to move currently selected object even though drawing tool was previously selected from toolbar

Expected behavior:
Impress should draw object no matter if there is active selection on slide, but only IF drawing tool was previously selected from toolbar
Comment 1 Mohamed 2017-10-17 08:48:00 UTC
I think this can be considered as an enhancement. If the object is selected, when you point on one of element edges the cursor will move or resize it, depends on your position. But if you want to connect the objects border to an other kind of element like line you should deselect it first then select the drawing tool you want and use it after.

Testing environment:
    • Operating system : Windows 8.1 Pro 64-bits.
    • LibreOffice : Version: 5.4.2.2
		Build ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
		CPU threads: 4; OS: Windows 6.2; UI render: default; 
		Locale: en-US (en_US); Calc: group

     And also on :
    • Operating system : Ubuntu 16.04.3 64-bits.
    • LibreOffice :Version: 5.4.2.2
		Build ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
		CPU threads: 8; OS: Linux 4.4; UI render: default; VCL: gtk2; 
		Locale: ja-JP (ja_JP.UTF-8); Calc: group
Comment 2 Ljiljan 2017-10-17 20:12:33 UTC
But if you have some object (like a rectangle) and zoom in in order to draw something (and forgot to click somewhere else)... then you select line tool or another object tool... you just cannot draw over it because the previous object is selected.
Comment 3 Xisco Faulí 2017-10-18 09:08:07 UTC
I guess the object should be deselected once we click to draw another object.
Confirmed back to

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 QA Administrators 2018-10-19 02:51:06 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug